package com.ibm.lab.usingjdt.debugging;

/*
 * "The Java Developer's Guide to Eclipse"
 *   by Shavor, D'Anjou, Fairbrother, Kehn, Kellerman, McCarthy
 * 
 * (C) Copyright International Business Machines Corporation, 2003. 
 * All Rights Reserved.
 * 
 * Code or samples provided herein are provided without warranty of any kind.
 */

/**
 * Class <code>DebuggingExample</code> is a simple class used in the exercises
 * in Chapter 30 to drive <code>PrimeNumberGenerator</code> to illustrate the
 * debugging.
 */
public class DebuggingExample {
	
	/**
	 * Method <code>main</code> drives class <code>PrimeNumberGenerator</code>
	 * to illustrate JDT debugging.
	 * @param args
	 */
	public static void main(String[] args) {
		PrimeNumberGenerator p = new PrimeNumberGenerator();
		p.setQuantity(20);
		p.generateNumbers();
		p.outputResults("");
	}
}
